server:
  port: 80

spring:
  cloud:
    gateway:
      discovery:
        locator:
          enabled: true
    loadbalancer:
      retry:
        enabled: true
  autoconfigure:
    exclude:
      # BladeX 相关配置
      - org.springblade.core.metrics.druid.DruidMetricsConfiguration
      - org.springblade.core.tool.config.BladeConverterConfiguration
      - org.springblade.core.tool.config.MessageConfiguration
      - org.springblade.core.cloud.sentinel.BladeSentinelAutoConfiguration
      - org.springblade.core.cloud.version.VersionMappingAutoConfiguration
      # Spring Boot WebMvc 相关配置
      - org.springframework.boot.autoconfigure.web.servlet.WebMvcAutoConfiguration
      - org.springframework.boot.autoconfigure.web.servlet.DispatcherServletAutoConfiguration
      - org.springframework.boot.autoconfigure.web.servlet.ServletWebServerFactoryAutoConfiguration
      - org.springframework.boot.autoconfigure.web.servlet.error.ErrorMvcAutoConfiguration
